<lib-condensed-header-layout
  *transloco="let t"
  [pageTitle]="t('search.main_title')"
  [showBackButton]="false"
  class="ion-page"
>
  <div class="flex-list-subsections content-spacing-minor-minor">
    @if (!isConnected) {
      <lib-connectivity-error-handling-card
        [show]="true"
        [title]="t('search.connectivity-error.title_dashboard')"
      >
      </lib-connectivity-error-handling-card>
    } @else {
      <ion-searchbar
        mode="md"
        type="search"
        enterkeyhint="search"
        [placeholder]="t('search.placeholder')"
        [formControl]="searchControl"
        (keydown.enter)="performSearch()"
        [attr.data-cy]="'searchbar'"
      ></ion-searchbar>

      <app-search-skeleton *ngIf="isLoading"></app-search-skeleton>

      <div *ngIf="!searchPerformed && !isLoading">
        <div
          *ngIf="(lastSearchTerms$ | async)?.length !== 0"
          class="flex-list-menu-buttons"
        >
          <p class="last-searches">{{ t('search.last_search_result') }}</p>
          <div
            class="container-search-keywords"
            *ngFor="let term of lastSearchTerms$ | async"
          >
            <div class="search-term-container">
              <button
                class="search-keyword-button"
                (click)="autoFillSearchTermAndSearch(term)"
              >
                <lib-general-icon
                  name="history"
                  [type]="iconType.materialIconsOutlined"
                  [size]="iconFontSize.large"
                ></lib-general-icon>
                <ion-text class="search-keywords">{{ term }}</ion-text>
              </button>
              <button class="delete-button" (click)="deleteSearchTerm(term)">
                <lib-general-icon
                  name="close"
                  [type]="iconType.materialSymbolsOutlined"
                  [size]="iconFontSize.medium"
                  [color]="iconColor.mainForeground"
                ></lib-general-icon>
              </button>
            </div>
          </div>
        </div>
      </div>

      <div
        *ngIf="searchPerformed && !hasSearchResults"
        class="no-results-message"
      >
        <div class="no-result-title">{{ t('search.no_result_title') }}</div>
        <p>{{ t('search.no_result_sub_title') }}</p>
      </div>

      @if (feedItems; as moduleSearchResults) {
        <ng-container *ngFor="let moduleResult of moduleSearchResults">
          <div
            *ngIf="moduleResult.items.length > 0"
            class="flex-list-lines"
            aria-live="polite"
            aria-atomic="true"
          >
            <div class="module-header">
              {{ t(moduleMap.get(moduleResult.moduleId)!) }}
            </div>
            <lib-custom-horizontal-button
              *ngFor="let feedItem of moduleResult.items | slice: 0 : 3"
              lang="de"
              translate="no"
              class="search-item"
              [routerLink]="['./', 'results', feedItem.moduleId, feedItem.id]"
              [colorScheme]="customButtonColorScheme.strong"
              [buttonType]="customButtonType.link"
              [fontScheme]="customButtonFontScheme.content"
              [startIcon]="feedItem.icon"
              [endIcon]="'arrow_forward_ios'"
              [title]="feedItem.title"
            ></lib-custom-horizontal-button>
            <lib-custom-horizontal-button
              *ngIf="moduleResult.items.length > 3"
              class="show-more-button"
              [endIcon]="'arrow_forward_ios'"
              [routerLink]="['./', 'results', moduleResult.moduleId]"
              [queryParams]="{ searchTerm: searchControl.value }"
              [buttonHref]="'./search/results/' + moduleResult.moduleId"
              [colorScheme]="customButtonColorScheme.outlined"
              [buttonType]="customButtonType.link"
              [title]="
                t('search.all_result_title', {
                  moduleName: t(moduleMap.get(moduleResult.moduleId)!),
                  count: moduleResult.total,
                })
              "
            >
            </lib-custom-horizontal-button>
          </div>
        </ng-container>
      }
    }
  </div>
</lib-condensed-header-layout>
